<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
      integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="css/nav-styles.css" />
    <link rel="stylesheet" href="css/login-styles.css" />
    <script
      src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
      integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
      integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
      integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
      crossorigin="anonymous"
    ></script>
    <title>Log In</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-light our-grey">
      <button type="button" class="btn">Music Directory</button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a class="nav-link" href="./home.html">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./track-directory.html">All Tracks</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./new-track.html">Add a New Track</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./login.html">Log In</a>
          </li>
        </ul>
      </div>
    </nav>
    <form class="form-signin" id="login-form">
      <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
      <label for="inputUsername" class="sr-only">Username</label>
      <input
        type="test"
        id="inputUsername"
        name="username"
        class="form-control"
        placeholder="Username"
      />
      <label for="inputPassword" class="sr-only">Password</label>
      <input
        type="password"
        id="inputPassword"
        name="password"
        class="form-control"
        placeholder="Password"
      />
      <button class="btn btn-lg btn-primary btn-block" type="submit">
        Sign in
      </button>
      <div hidden id="error-msg" class="text-danger">Something went wrong</div>
    </form>
    <script src="server-requests.js"></script>
    <script src="login.js"></script>
  </body>
</html>
